Package com.independentsoft.office.odf.fields

# Enum Class ChapterDisplayType

java.lang.Object
java.lang.Enum<ChapterDisplayType>
com.independentsoft.office.odf.fields.ChapterDisplayType

All Implemented Interfaces:
  `Serializable`, `Comparable<ChapterDisplayType>`, `Constable`

public enum ChapterDisplayType extends Enum<ChapterDisplayType>
Specifies the information that a chapter field should display.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `NAME`
  Name of a chapter.
  `NONE`
  None.
  `NUMBER`
  Number of a chapter.
  `NUMBER_AND_NAME`
  Name and number of a chapter.
  `PLAIN_NUMBER`
  Name of a chapter.
  `PLAIN_NUMBER_AND_NAME`
  Name of a chapter with the number of the same chapter.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ChapterDisplayType`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static ChapterDisplayType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NAME

    public static final ChapterDisplayType NAME
    Name of a chapter.

  - ### NUMBER

    public static final ChapterDisplayType NUMBER
    Number of a chapter.

  - ### NUMBER_AND_NAME

    public static final ChapterDisplayType NUMBER_AND_NAME
    Name and number of a chapter.

  - ### PLAIN_NUMBER_AND_NAME

    public static final ChapterDisplayType PLAIN_NUMBER_AND_NAME
    Name of a chapter with the number of the same chapter.

  - ### PLAIN_NUMBER

    public static final ChapterDisplayType PLAIN_NUMBER
    Name of a chapter.

  - ### NONE

    public static final ChapterDisplayType NONE
    None.

- ## Method Details

  - ### values

    public static ChapterDisplayType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ChapterDisplayType valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null